Package ghidra.app.util.bin.format.pe.cli.blobs

# Class CliSigMethodRef

java.lang.Object
ghidra.app.util.bin.format.pe.cli.blobs.CliBlob
ghidra.app.util.bin.format.pe.cli.blobs.CliAbstractSig
ghidra.app.util.bin.format.pe.cli.blobs.CliSigMethodRef

All Implemented Interfaces:
  `CliRepresentable`, `StructConverter`

public class CliSigMethodRef extends CliAbstractSig

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class ghidra.app.util.bin.format.pe.cli.blobs.CliAbstractSig

  `CliAbstractSig.CliArrayShape, CliAbstractSig.CliByRef, CliAbstractSig.CliConstraint, CliAbstractSig.CliCustomMod, CliAbstractSig.CliElementType, CliAbstractSig.CliParam, CliAbstractSig.CliRetType, CliAbstractSig.CliSigType, CliAbstractSig.CliTypeArray, CliAbstractSig.CliTypeBase, CliAbstractSig.CliTypeClass, CliAbstractSig.CliTypeCodeDataType, CliAbstractSig.CliTypeFnPtr, CliAbstractSig.CliTypeGenericInst, CliAbstractSig.CliTypePrimitive, CliAbstractSig.CliTypePtr, CliAbstractSig.CliTypeSzArray, CliAbstractSig.CliTypeValueType, CliAbstractSig.CliTypeVarOrMvar`

- ## Field Summary

  ### Fields inherited from class ghidra.app.util.bin.format.pe.cli.blobs.CliAbstractSig

  `PATH`

  ### Fields inherited from class ghidra.app.util.bin.format.pe.cli.blobs.CliBlob

  `blobOffset, contentsOffset, contentsSize`

  ### Fields inherited from interface ghidra.app.util.bin.StructConverter

  `ASCII, BYTE, DWORD, IBO32, IBO64, POINTER, QWORD, SLEB128, STRING, ULEB128, UTF16, UTF8, VOID, WORD`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CliSigMethodRef(CliBlob blob)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getContentsComment()`
  Gets the comment associated with this blob's contents.
  `DataType`
  `getContentsDataType()`
  Gets the data type associated with this blob's contents.
  `String`
  `getContentsName()`
  Gets the name associated with this blob's contents.
  `CliAbstractSig.CliParam[]`
  `getParams()`
  `protected String`
  `getRepresentationCommon(CliStreamMetadata stream, boolean isShort)`
  This is the method that subclasses should override.
  `CliAbstractSig.CliRetType`
  `getReturnType()`
  `boolean`
  `hasExplicitThis()`
  `boolean`
  `hasThis()`
  `boolean`
  `hasVarArgs()`

  ### Methods inherited from class ghidra.app.util.bin.format.pe.cli.blobs.CliAbstractSig

  `convertTypeCodeToDataType, getRepresentation, getRepresentation, getRepresentationOf, getShortRepresentation, getShortRepresentation, readCliType`

  ### Methods inherited from class ghidra.app.util.bin.format.pe.cli.blobs.CliBlob

  `decodeCompressedSigned, decodeCompressedSigned, decodeCompressedSigned, decodeCompressedSignedInt, decodeCompressedUnsigned, decodeCompressedUnsigned, decodeCompressedUnsigned, decodeCompressedUnsignedInt, getContents, getContentsReader, getContentsSize, getDataTypeForBytes, getName, getSize, getSizeDataType, getStreamIndex, isLittleEndian, testSizeDecoding, toDataType, toDataType`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### CliSigMethodRef

    public CliSigMethodRef(CliBlob blob) throws IOException
    Throws:
      `IOException`

- ## Method Details

  - ### getContentsName

    public String getContentsName()
    Description copied from class: `CliBlob`
    Gets the name associated with this blob's contents.
    Specified by:
      `getContentsName` in class `CliAbstractSig`
    Returns:
      The name associated with this blob's contents.

  - ### getContentsComment

    public String getContentsComment()
    Description copied from class: `CliBlob`
    Gets the comment associated with this blob's contents.
    Specified by:
      `getContentsComment` in class `CliAbstractSig`
    Returns:
      The comment associated with this blob's contents.

  - ### getContentsDataType

    public DataType getContentsDataType()
    Description copied from class: `CliBlob`
    Gets the data type associated with this blob's contents.
    Specified by:
      `getContentsDataType` in class `CliAbstractSig`
    Returns:
      The data type associated with this blob's contents.

  - ### getReturnType

    public CliAbstractSig.CliRetType getReturnType()

  - ### getParams

    public CliAbstractSig.CliParam[] getParams()

  - ### hasThis

    public boolean hasThis()

  - ### hasExplicitThis

    public boolean hasExplicitThis()

  - ### hasVarArgs

    public boolean hasVarArgs()

  - ### getRepresentationCommon

    protected String getRepresentationCommon(CliStreamMetadata stream, boolean isShort)
    Description copied from class: `CliAbstractSig`
    This is the method that subclasses should override. If stream is null, the method must not cause a NullPointerException, i.e. it must handle this as if there was no stream to begin with.
    Specified by:
      `getRepresentationCommon` in class `CliAbstractSig`